Package com.independentsoft.office.drawing

# Class EffectDag

java.lang.Object
com.independentsoft.office.drawing.EffectDag

public class EffectDag extends Object
The Class EffectDag.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EffectDag()`
  Instantiates a new effect dag.
  `EffectDag​(InternalXMLStreamReader reader)`
  Instantiates a new effect dag.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EffectDag`
  `clone()`
  `AlphaBiLevelEffect`
  `getAlphaBiLevelEffect()`
  Gets the alpha bi level effect.
  `AlphaInsetOutsetEffect`
  `getAlphaInsetOutsetEffect()`
  Gets the alpha inset outset effect.
  `AlphaInverseEffect`
  `getAlphaInverseEffect()`
  Gets the alpha inverse effect.
  `AlphaModulateEffect`
  `getAlphaModulateEffect()`
  Gets the alpha modulate effect.
  `AlphaModulateFixedEffect`
  `getAlphaModulateFixedEffect()`
  Gets the alpha modulate fixed effect.
  `AlphaReplaceEffect`
  `getAlphaReplaceEffect()`
  Gets the alpha replace effect.
  `BiLevelEffect`
  `getBiLevelEffect()`
  Gets the bi level effect.
  `BlendEffect`
  `getBlendEffect()`
  Gets the blend effect.
  `BlurEffect`
  `getBlurEffect()`
  Gets the blur effect.
  `ColorChangeEffect`
  `getColorChangeEffect()`
  Gets the color change effect.
  `EffectContainer`
  `getContainer()`
  Gets the container.
  `DuotoneEffect`
  `getDuotoneEffect()`
  Gets the duotone effect.
  `String`
  `getEffectReference()`
  Gets the effect reference.
  `FillEffect`
  `getFillEffect()`
  Gets the fill effect.
  `FillOverlayEffect`
  `getFillOverlayEffect()`
  Gets the fill overlay effect.
  `GlowEffect`
  `getGlowEffect()`
  Gets the glow effect.
  `InnerShadowEffect`
  `getInnerShadowEffect()`
  Gets the inner shadow effect.
  `LuminanceEffect`
  `getLuminanceEffect()`
  Gets the luminance effect.
  `String`
  `getName()`
  Gets the name.
  `OuterShadowEffect`
  `getOuterShadowEffect()`
  Gets the outer shadow effect.
  `PresetShadow`
  `getPresetShadow()`
  Gets the preset shadow.
  `ReflectionEffect`
  `getReflectionEffect()`
  Gets the reflection effect.
  `RelativeOffsetEffect`
  `getRelativeOffsetEffect()`
  Gets the relative offset effect.
  `SoftEdgeEffect`
  `getSoftEdgeEffect()`
  Gets the soft edge effect.
  `SolidColorReplacement`
  `getSolidColorReplacement()`
  Gets the solid color replacement.
  `TintEffect`
  `getTintEffect()`
  Gets the tint effect.
  `TransformEffect`
  `getTransformEffect()`
  Gets the transform effect.
  `EffectContainerType`
  `getType()`
  Gets the type.
  `boolean`
  `isAlphaCeilingEffect()`
  Checks if is alpha ceiling effect.
  `boolean`
  `isAlphaFloorEffect()`
  Checks if is alpha floor effect.
  `boolean`
  `isGrayScaleEffect()`
  Checks if is gray scale effect.
  `void`
  `setAlphaBiLevelEffect​(AlphaBiLevelEffect alphaBiLevelEffect)`
  Sets the alpha bi level effect.
  `void`
  `setAlphaCeilingEffect​(boolean alphaCeilingEffect)`
  Sets the alpha ceiling effect.
  `void`
  `setAlphaFloorEffect​(boolean alphaFloorEffect)`
  Sets the alpha floor effect.
  `void`
  `setAlphaInsetOutsetEffect​(AlphaInsetOutsetEffect alphaInsetOutsetEffect)`
  Sets the alpha inset outset effect.
  `void`
  `setAlphaInverseEffect​(AlphaInverseEffect alphaInverseEffect)`
  Sets the alpha inverse effect.
  `void`
  `setAlphaModulateEffect​(AlphaModulateEffect alphaModulateEffect)`
  Sets the alpha modulate effect.
  `void`
  `setAlphaModulateFixedEffect​(AlphaModulateFixedEffect alphaModulateFixedEffect)`
  Sets the alpha modulate fixed effect.
  `void`
  `setAlphaReplaceEffect​(AlphaReplaceEffect alphaReplaceEffect)`
  Sets the alpha replace effect.
  `void`
  `setBiLevelEffect​(BiLevelEffect biLevelEffect)`
  Sets the bi level effect.
  `void`
  `setBlendEffect​(BlendEffect blendEffect)`
  Sets the blend effect.
  `void`
  `setBlurEffect​(BlurEffect blurEffect)`
  Sets the blur effect.
  `void`
  `setColorChangeEffect​(ColorChangeEffect colorChangeEffect)`
  Sets the color change effect.
  `void`
  `setContainer​(EffectContainer container)`
  Sets the container.
  `void`
  `setDuotoneEffect​(DuotoneEffect duotoneEffect)`
  Sets the duotone effect.
  `void`
  `setEffectReference​(String effectReference)`
  Sets the effect reference.
  `void`
  `setFillEffect​(FillEffect fillEffect)`
  Sets the fill effect.
  `void`
  `setFillOverlayEffect​(FillOverlayEffect fillOverlayEffect)`
  Sets the fill overlay effect.
  `void`
  `setGlowEffect​(GlowEffect glowEffect)`
  Sets the glow effect.
  `void`
  `setGrayScaleEffect​(boolean grayScaleEffect)`
  Sets the gray scale effect.
  `void`
  `setInnerShadowEffect​(InnerShadowEffect innerShadowEffect)`
  Sets the inner shadow effect.
  `void`
  `setLuminanceEffect​(LuminanceEffect luminanceEffect)`
  Sets the luminance effect.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setOuterShadowEffect​(OuterShadowEffect outerShadowEffect)`
  Sets the outer shadow effect.
  `void`
  `setPresetShadow​(PresetShadow presetShadow)`
  Sets the preset shadow.
  `void`
  `setReflectionEffect​(ReflectionEffect reflectionEffect)`
  Sets the reflection effect.
  `void`
  `setRelativeOffsetEffect​(RelativeOffsetEffect relativeOffsetEffect)`
  Sets the relative offset effect.
  `void`
  `setSoftEdgeEffect​(SoftEdgeEffect softEdgeEffect)`
  Sets the soft edge effect.
  `void`
  `setSolidColorReplacement​(SolidColorReplacement solidColorReplacement)`
  Sets the solid color replacement.
  `void`
  `setTintEffect​(TintEffect tintEffect)`
  Sets the tint effect.
  `void`
  `setTransformEffect​(TransformEffect transformEffect)`
  Sets the transform effect.
  `void`
  `setType​(EffectContainerType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EffectDag

    public EffectDag()
    Instantiates a new effect dag.

  - ### EffectDag

    public EffectDag​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new effect dag.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public EffectDag clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAlphaBiLevelEffect

    public AlphaBiLevelEffect getAlphaBiLevelEffect()
    Gets the alpha bi level effect.
    Returns:
      the alpha bi level effect

  - ### setAlphaBiLevelEffect

    public void setAlphaBiLevelEffect​(AlphaBiLevelEffect alphaBiLevelEffect)
    Sets the alpha bi level effect.
    Parameters:
      `alphaBiLevelEffect` - the new alpha bi level effect

  - ### isAlphaCeilingEffect

    public boolean isAlphaCeilingEffect()
    Checks if is alpha ceiling effect.
    Returns:
      true, if is alpha ceiling effect

  - ### setAlphaCeilingEffect

    public void setAlphaCeilingEffect​(boolean alphaCeilingEffect)
    Sets the alpha ceiling effect.
    Parameters:
      `alphaCeilingEffect` - the new alpha ceiling effect

  - ### isAlphaFloorEffect

    public boolean isAlphaFloorEffect()
    Checks if is alpha floor effect.
    Returns:
      true, if is alpha floor effect

  - ### setAlphaFloorEffect

    public void setAlphaFloorEffect​(boolean alphaFloorEffect)
    Sets the alpha floor effect.
    Parameters:
      `alphaFloorEffect` - the new alpha floor effect

  - ### getAlphaInverseEffect

    public AlphaInverseEffect getAlphaInverseEffect()
    Gets the alpha inverse effect.
    Returns:
      the alpha inverse effect

  - ### setAlphaInverseEffect

    public void setAlphaInverseEffect​(AlphaInverseEffect alphaInverseEffect)
    Sets the alpha inverse effect.
    Parameters:
      `alphaInverseEffect` - the new alpha inverse effect

  - ### getAlphaModulateEffect

    public AlphaModulateEffect getAlphaModulateEffect()
    Gets the alpha modulate effect.
    Returns:
      the alpha modulate effect

  - ### setAlphaModulateEffect

    public void setAlphaModulateEffect​(AlphaModulateEffect alphaModulateEffect)
    Sets the alpha modulate effect.
    Parameters:
      `alphaModulateEffect` - the new alpha modulate effect

  - ### getAlphaModulateFixedEffect

    public AlphaModulateFixedEffect getAlphaModulateFixedEffect()
    Gets the alpha modulate fixed effect.
    Returns:
      the alpha modulate fixed effect

  - ### setAlphaModulateFixedEffect

    public void setAlphaModulateFixedEffect​(AlphaModulateFixedEffect alphaModulateFixedEffect)
    Sets the alpha modulate fixed effect.
    Parameters:
      `alphaModulateFixedEffect` - the new alpha modulate fixed effect

  - ### getAlphaInsetOutsetEffect

    public AlphaInsetOutsetEffect getAlphaInsetOutsetEffect()
    Gets the alpha inset outset effect.
    Returns:
      the alpha inset outset effect

  - ### setAlphaInsetOutsetEffect

    public void setAlphaInsetOutsetEffect​(AlphaInsetOutsetEffect alphaInsetOutsetEffect)
    Sets the alpha inset outset effect.
    Parameters:
      `alphaInsetOutsetEffect` - the new alpha inset outset effect

  - ### getAlphaReplaceEffect

    public AlphaReplaceEffect getAlphaReplaceEffect()
    Gets the alpha replace effect.
    Returns:
      the alpha replace effect

  - ### setAlphaReplaceEffect

    public void setAlphaReplaceEffect​(AlphaReplaceEffect alphaReplaceEffect)
    Sets the alpha replace effect.
    Parameters:
      `alphaReplaceEffect` - the new alpha replace effect

  - ### getBiLevelEffect

    public BiLevelEffect getBiLevelEffect()
    Gets the bi level effect.
    Returns:
      the bi level effect

  - ### setBiLevelEffect

    public void setBiLevelEffect​(BiLevelEffect biLevelEffect)
    Sets the bi level effect.
    Parameters:
      `biLevelEffect` - the new bi level effect

  - ### getBlendEffect

    public BlendEffect getBlendEffect()
    Gets the blend effect.
    Returns:
      the blend effect

  - ### setBlendEffect

    public void setBlendEffect​(BlendEffect blendEffect)
    Sets the blend effect.
    Parameters:
      `blendEffect` - the new blend effect

  - ### getBlurEffect

    public BlurEffect getBlurEffect()
    Gets the blur effect.
    Returns:
      the blur effect

  - ### setBlurEffect

    public void setBlurEffect​(BlurEffect blurEffect)
    Sets the blur effect.
    Parameters:
      `blurEffect` - the new blur effect

  - ### getColorChangeEffect

    public ColorChangeEffect getColorChangeEffect()
    Gets the color change effect.
    Returns:
      the color change effect

  - ### setColorChangeEffect

    public void setColorChangeEffect​(ColorChangeEffect colorChangeEffect)
    Sets the color change effect.
    Parameters:
      `colorChangeEffect` - the new color change effect

  - ### getSolidColorReplacement

    public SolidColorReplacement getSolidColorReplacement()
    Gets the solid color replacement.
    Returns:
      the solid color replacement

  - ### setSolidColorReplacement

    public void setSolidColorReplacement​(SolidColorReplacement solidColorReplacement)
    Sets the solid color replacement.
    Parameters:
      `solidColorReplacement` - the new solid color replacement

  - ### getContainer

    public EffectContainer getContainer()
    Gets the container.
    Returns:
      the container

  - ### setContainer

    public void setContainer​(EffectContainer container)
    Sets the container.
    Parameters:
      `container` - the new container

  - ### getDuotoneEffect

    public DuotoneEffect getDuotoneEffect()
    Gets the duotone effect.
    Returns:
      the duotone effect

  - ### setDuotoneEffect

    public void setDuotoneEffect​(DuotoneEffect duotoneEffect)
    Sets the duotone effect.
    Parameters:
      `duotoneEffect` - the new duotone effect

  - ### getEffectReference

    public String getEffectReference()
    Gets the effect reference.
    Returns:
      the effect reference

  - ### setEffectReference

    public void setEffectReference​(String effectReference)
    Sets the effect reference.
    Parameters:
      `effectReference` - the new effect reference

  - ### getFillEffect

    public FillEffect getFillEffect()
    Gets the fill effect.
    Returns:
      the fill effect

  - ### setFillEffect

    public void setFillEffect​(FillEffect fillEffect)
    Sets the fill effect.
    Parameters:
      `fillEffect` - the new fill effect

  - ### getFillOverlayEffect

    public FillOverlayEffect getFillOverlayEffect()
    Gets the fill overlay effect.
    Returns:
      the fill overlay effect

  - ### setFillOverlayEffect

    public void setFillOverlayEffect​(FillOverlayEffect fillOverlayEffect)
    Sets the fill overlay effect.
    Parameters:
      `fillOverlayEffect` - the new fill overlay effect

  - ### getGlowEffect

    public GlowEffect getGlowEffect()
    Gets the glow effect.
    Returns:
      the glow effect

  - ### setGlowEffect

    public void setGlowEffect​(GlowEffect glowEffect)
    Sets the glow effect.
    Parameters:
      `glowEffect` - the new glow effect

  - ### isGrayScaleEffect

    public boolean isGrayScaleEffect()
    Checks if is gray scale effect.
    Returns:
      true, if is gray scale effect

  - ### setGrayScaleEffect

    public void setGrayScaleEffect​(boolean grayScaleEffect)
    Sets the gray scale effect.
    Parameters:
      `grayScaleEffect` - the new gray scale effect

  - ### getInnerShadowEffect

    public InnerShadowEffect getInnerShadowEffect()
    Gets the inner shadow effect.
    Returns:
      the inner shadow effect

  - ### setInnerShadowEffect

    public void setInnerShadowEffect​(InnerShadowEffect innerShadowEffect)
    Sets the inner shadow effect.
    Parameters:
      `innerShadowEffect` - the new inner shadow effect

  - ### getLuminanceEffect

    public LuminanceEffect getLuminanceEffect()
    Gets the luminance effect.
    Returns:
      the luminance effect

  - ### setLuminanceEffect

    public void setLuminanceEffect​(LuminanceEffect luminanceEffect)
    Sets the luminance effect.
    Parameters:
      `luminanceEffect` - the new luminance effect

  - ### getOuterShadowEffect

    public OuterShadowEffect getOuterShadowEffect()
    Gets the outer shadow effect.
    Returns:
      the outer shadow effect

  - ### setOuterShadowEffect

    public void setOuterShadowEffect​(OuterShadowEffect outerShadowEffect)
    Sets the outer shadow effect.
    Parameters:
      `outerShadowEffect` - the new outer shadow effect

  - ### getPresetShadow

    public PresetShadow getPresetShadow()
    Gets the preset shadow.
    Returns:
      the preset shadow

  - ### setPresetShadow

    public void setPresetShadow​(PresetShadow presetShadow)
    Sets the preset shadow.
    Parameters:
      `presetShadow` - the new preset shadow

  - ### getReflectionEffect

    public ReflectionEffect getReflectionEffect()
    Gets the reflection effect.
    Returns:
      the reflection effect

  - ### setReflectionEffect

    public void setReflectionEffect​(ReflectionEffect reflectionEffect)
    Sets the reflection effect.
    Parameters:
      `reflectionEffect` - the new reflection effect

  - ### getRelativeOffsetEffect

    public RelativeOffsetEffect getRelativeOffsetEffect()
    Gets the relative offset effect.
    Returns:
      the relative offset effect

  - ### setRelativeOffsetEffect

    public void setRelativeOffsetEffect​(RelativeOffsetEffect relativeOffsetEffect)
    Sets the relative offset effect.
    Parameters:
      `relativeOffsetEffect` - the new relative offset effect

  - ### getSoftEdgeEffect

    public SoftEdgeEffect getSoftEdgeEffect()
    Gets the soft edge effect.
    Returns:
      the soft edge effect

  - ### setSoftEdgeEffect

    public void setSoftEdgeEffect​(SoftEdgeEffect softEdgeEffect)
    Sets the soft edge effect.
    Parameters:
      `softEdgeEffect` - the new soft edge effect

  - ### getTintEffect

    public TintEffect getTintEffect()
    Gets the tint effect.
    Returns:
      the tint effect

  - ### setTintEffect

    public void setTintEffect​(TintEffect tintEffect)
    Sets the tint effect.
    Parameters:
      `tintEffect` - the new tint effect

  - ### getTransformEffect

    public TransformEffect getTransformEffect()
    Gets the transform effect.
    Returns:
      the transform effect

  - ### setTransformEffect

    public void setTransformEffect​(TransformEffect transformEffect)
    Sets the transform effect.
    Parameters:
      `transformEffect` - the new transform effect

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getType

    public EffectContainerType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(EffectContainerType type)
    Sets the type.
    Parameters:
      `type` - the new type